### Method

# Gimp Layer set_mode

#### Declaration [src]

    gboolean
    gimp_layer_set_mode (
      GimpLayer* layer,
      GimpLayerMode mode
    )

#### Description [src]

Set the combination mode of the specified layer.

This procedure sets the specified layer’s combination mode.

#### Parameters

`mode` | `GimpLayerMode`
| The new layer combination mode.

#### Return value

Returns: | `gboolean`
| TRUE on success.